$(function () {
    
    var discover = 0;

    $('path').click(function () {
	var kontynent = $(this).attr('id');
	kontynent = kontynent.replace("cl-", "");
	$("div[id*='" + kontynent + "']").removeClass('unvisible');
	discover++;
	if (discover === 7) {
	    $('#text').removeClass('unvisible');
	    $('#input').removeClass('unvisible');
	}
    });
    
    $("#input").val('');
    
    $("#input").keyup(function () {
	var str = '';
	$("#input").each(function () {
	    str += $(this).val().toLowerCase().trim();
	});
	if (str === 'azja') {
	    $("#input").prop('disabled', true);
	    $('#jplayer_well').jPlayer('play');
	} else if (str.length === 4) {
	    $('#jplayer_wrong').jPlayer('play');
	}
    });
    
});